# Uses of Interface
com.sun.source.doctree.InheritDocTree

Packages that use InheritDocTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of InheritDocTree in com.sun.source.doctree

  Methods in com.sun.source.doctree with parameters of type InheritDocTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeVisitor.`visitInheritDoc(InheritDocTree node, P p)`
  Visits an `InheritDocTree` node.

- ## Uses of InheritDocTree in com.sun.source.util

  Methods in com.sun.source.util that return InheritDocTree
  Modifier and Type
  Method
  Description
  `InheritDocTree`
  DocTreeFactory.`newInheritDocTree()`
  Creates a new `InheritDocTree` object, to represent an `{@inheritDoc}` tag.
  `default InheritDocTree`
  DocTreeFactory.`newInheritDocTree(ReferenceTree supertype)`
  Creates a new `InheritDocTree` object, to represent an `{@inheritDoc}` tag.
  Methods in com.sun.source.util with parameters of type InheritDocTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeScanner.`visitInheritDoc(InheritDocTree node, P p)`
  Visits an `InheritDocTree` node.
  `R`
  SimpleDocTreeVisitor.`visitInheritDoc(InheritDocTree node, P p)`
  Visits an `InheritDocTree` node.